Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357022 - rebuild ga against new openmpi/scalapack [NEEDINFO]
Summary: rebuild ga against new openmpi/scalapack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ga
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1357018
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 13:49 UTC by marcindulak
Modified: 2018-07-01 01:07 UTC (History)
5 users (show)

Fixed In Version: ga-5.6.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-01 01:07:38 UTC
Marcin.Dulak: needinfo? (dakingun)


Attachments (Terms of Use)
ga format-security patch (deleted)
2016-07-15 22:52 UTC, marcindulak
no flags Details | Diff

Description marcindulak 2016-07-15 13:49:55 UTC
Description of problem:

ga is built against an old openmpi.

$ rpm -q ga-openmpi
ga-openmpi-5.3b-14.el7.x86_64
$ rpm -q --requires ga-openmpi | grep "libmpi.so"
libmpi.so.1()(64bit)

$ yum provides "libmpi.so.1()(64bit)"
...
compat-openmpi16-1.6.4-10.el7.x86_64 : Open MPI 1.6 compat library
...

Expected results:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

See bug #1299143 and bug #1357018

$ for p in openmpi scalapack-openmpi ga-openmpi; do rpm -q $p --queryformat '%{buildtime:date} %{name}-%{version}-%{release}\n'; done
Fri 20 Nov 2015 06:47:24 PM UTC openmpi-1.10.0-10.el7
Tue 19 Jan 2016 05:44:55 PM UTC scalapack-openmpi-2.0.2-12.el7
Thu 20 Nov 2014 03:22:36 AM UTC ga-openmpi-5.3b-14.el7

$ for p in mpich scalapack-mpich ga-mpich; do rpm -q $p --queryformat '%{buildtime:date} %{name}-%{version}-%{release}\n'; done
Fri 06 Mar 2015 04:23:48 AM UTC mpich-3.0.4-8.el7
Tue 19 Jan 2016 05:44:55 PM UTC scalapack-mpich-2.0.2-12.el7
Thu 20 Nov 2014 03:22:36 AM UTC ga-mpich-5.3b-14.el7

I see there is a new release of ga (5.4), but I'm not sure this is supported by the latest stable nwchem (from 2015).

Please do not touch ga (even rebuild) on el6 because this may breaks things ...

Comment 1 marcindulak 2016-07-15 18:57:50 UTC
Please hold on, maybe we need to update anyway to ga-5-4.
We see some nwchem hangs/crashes on Fedora 24 (bug #1356735 and bug #1347788) and I'm currently checking if linking nwchem against ga-5-4 helps.
The latest stable Nwchem-6.6.revision27746-src.2015-10-20.tar.gz actually seems to be using some version of ga-5-4 ...

Comment 2 marcindulak 2016-07-15 22:51:32 UTC
I don't see a relation between the crashes/hangs of nwchem and ga-5-4 vs ga-5-3b.
Please go ahead and rebuild ga - preferably also update to ga-5-4 if you think it is appropriate (on epel7, el6, Fedora). Note that Fedora changed to Lmod instead of environment modules and %check results now in: 

 Lmod Warning:  The environment MODULEPATH has been changed in unexpected ways.
Lmod is unable to use given MODULEPATH. It is using:

"/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core:/usr/share/lmod/lmod/modulefiles/Core:/etc/modulefiles".

Please use "module use ..." to change MODULEPATH instead. 

Also: ga-5-4 needs a different ga-5-4-format-security.patch in order to build (attached)

Comment 3 marcindulak 2016-07-15 22:52:42 UTC
Created attachment 1180298 [details]
ga format-security patch

Comment 4 marcindulak 2016-07-22 22:46:21 UTC
See bug #1357022 c 24 - it's OK to move to ga-5-4.

Comment 5 Edoardo Apra 2016-08-03 16:47:00 UTC
Marcin/David
ga-5-4 is essential for NWChem 6.6 to work
https://bugzilla.redhat.com/show_bug.cgi?id=1356735#c24
https://bugzilla.redhat.com/show_bug.cgi?id=1356735#c29

Comment 6 marcindulak 2016-09-25 12:23:07 UTC
scalapack has been rebuilt on all Fedora and EPEL targets - can you update ga?

Comment 7 Edoardo Apra 2018-06-14 20:46:35 UTC
Marcin
I have generated RPMS for 5.6.5 with updated Scalapack.
https://koji.fedoraproject.org/koji/taskinfo?taskID=27604228
How do I get my changes in fedoraproject.org repository?

Changelog:
* Wed Jun 13 2018 Edoardo Apra <edoardo.apra@gmail.com> - 5.6.5-1
- New release 5.6.5
- Replaced Atlas with OpenBLAS
- Made compatible with ScaLapack RPM updates
- Added options -with-blas4 to work with NWChem

Comment 8 Fedora Update System 2018-06-27 21:25:41 UTC
ga-5.6.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4c4a047281

Comment 9 Fedora Update System 2018-06-28 14:49:20 UTC
ga-5.6.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4c4a047281

Comment 10 Fedora Update System 2018-07-01 01:07:38 UTC
ga-5.6.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.